syntax = "proto3";
option go_package = ".;pb";

enum ChatChannel {
  World = 0;       //世界频道
  Union = 1;       //工会频道
  Private = 2;     //私有频道
  CrossServer = 3; //跨服频道
  System = 4;      //系统频道
}

//聊天消息类型
enum ChatType {
  Text = 0;           //文泵聊天消息
  Moonfantasy = 1;    //月子秘境消息
  Share = 2;          //分享类型
  HeroShare = 3;      //英雄分享
  EquipmentShare = 4; //装备分享
  ItemShare = 5;      //道具分享
  Parkour = 6;        //捕羊大赛邀请
}

message DBChat {
  string id = 1;           //@go_tags(`bson:"_id"`) ID
  ChatChannel channel = 2; //频道
  ChatType ctype = 3;      //消息类型
  string suid = 4;         //发送用户id
  int32 slv = 5;           //发送者等级
  string ruid = 6;         //接收用户id channel == Private 有效
  int32 channelId = 7;    //@go_tags(`bson:"channelId"`) ID跨服频道 频道Id
  string unionId = 8;     //@go_tags(`bson:"unionId"`)工会id
  string stag = 9;        //区服id
  string avatar = 10;     //用户头像
  string uname = 11;      //用户名
  string content = 12;    //内容
  int64 ctime = 13;       //创建时间
  int64 appendInt = 14;   //@go_tags(`bson:"appendInt"`) 聊天附加数据
  string appendStr = 15;  //@go_tags(`bson:"appendStr"`) 聊天附加数据
  string appendBool = 16; //@go_tags(`bson:"appendBool"`) 聊天附加数据
  bytes appendBytes = 17; //@go_tags(`bson:"appendBytes"`) 聊天附加数据
  bool display = 18;      //@go_tags(`bson:"display"`)是否显示到跑马灯
  repeated string appendStrs = 19;  //@go_tags(`bson:"appendStrs"`) 聊天附加数据
}